## linux-goldfish 3.4.0-4.23

=== debian/changelog ===
linux-goldfish (3.4.0-4.23) utopic; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: ensure that if the first firmware is top level the firmware
    directory is made.
    Fixes FTBS

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 22 Sep 2014 11:59:19 -0600

linux-goldfish (3.4.0-4.22) utopic; urgency=low

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Sync to apparmor3 - RC1 snapshot
    - LP: #1362199

  [ Tyler Hicks ]

  * Revert "SAUCE: (no-up) apparmor: fix disconnected bind mnts
    reconnection"
  * Revert "SAUCE: (no-up) apparmor fix: remove unused cxt var for
    unix_sendmsg"
  * Revert "SAUCE: (no-up) apparmor: use custom write_is_locked macro"
  * Revert "SAUCE: (no-up) apparmor: fix bug that constantly spam the
    console"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor refcount bug in
    apparmor_kill"
  * Revert "SAUCE: (no-up) apparmor: fix refcount bug in apparmor
    pivotroot"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor spams log with warning
    message"
  * Revert "SAUCE: (no-up) apparmor: update configs for apparmor 3 alpha 6"
  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 6 snapshot"
  * SAUCE: (no-up) apparmor: update configs for apparmor3 - RC1

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Sep 2014 09:47:58 -0600

linux-goldfish (3.4.0-4.21) utopic; urgency=low

  [ Upstream Kernel Changes ]

  * auditsc: audit_krule mask accesses need bounds checking
    - LP: #1325941
    - CVE-2014-3917
  * ptrace, x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699
  * net/l2tp: don't fall back on UDP [get|set]sockopt
    - LP: #1341472
    - CVE-2014-4943

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 03 Sep 2014 12:29:01 -0700

linux-goldfish (3.4.0-4.20) utopic; urgency=low

  [ Tim Gardner ]

  * [Config] updateconfigs (fixes FTBS)

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Jul 2014 10:22:25 -0600

linux-goldfish (3.4.0-4.19) utopic; urgency=low

  [ Tim Gardner ]

  * Rebase to https://android.googlesource.com/kernel/goldfish
    9ac497fb4f1974c006cf4a0a920cf05bfb747ac7
    -LP: #1342783

  [ Upstream Kernel Changes ]

  * rebase to https://android.googlesource.com/kernel/goldfish 9ac497fb4f1974c006cf4a0a920cf05bfb747ac7

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Jul 2014 08:54:45 -0600

linux-goldfish (3.4.0-3.18) utopic; urgency=low

  [ Upstream Kernel Changes ]

  * tty: Correct tty buffer flush.
    - LP: #1329374

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Jul 2014 06:26:03 -0600

linux-goldfish (3.4.0-3.17) utopic; urgency=low

  [ Javier Martinez Canillas ]

  * SAUCE: (no-up) apparmor: fix bug that constantly spam the console
    - LP: #1323526

  [ John Johansen ]

  * Revert "SAUCE: (no-up) apparmor: fix backtrace on non-smp, kernels."
  * Revert "SAUCE: apparmor: fix bad lock balance when introspecting
    policy"
  * Revert "SAUCE: apparmor: fix memleak of replacedby struct"
  * Revert "SAUCE: apparmor: fix memleak of the profile hash"
  * Revert "SAUCE: apparmor: allocate path lookup buffers during init"
  * Revert "SAUCE: apparmor: fix unix domain sockets to be mediated on
    connection"
  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 4 snapshot"
  * SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 6 snapshot
  * SAUCE: (no-up) apparmor: update configs for apparmor 3 alpha 6
  * SAUCE: (no-up) apparmor: fix apparmor spams log with warning message
    - LP: #1308761
  * SAUCE: (no-up) apparmor: fix refcount bug in apparmor pivotroot
    - LP: #1308765
  * SAUCE: (no-up) apparmor: fix apparmor refcount bug in apparmor_kill
    - LP: #1308764
  * SAUCE: (no-up) apparmor: use custom write_is_locked macro
    - LP: #1323530
  * SAUCE: (no-up) apparmor fix: remove unused cxt var for unix_sendmsg
  * SAUCE: (no-up) apparmor: fix disconnected bind mnts reconnection
    - LP: #1319984

  [ Tyler Hicks ]

  * [Config] CONFIG_ECRYPT_FS=y
  * [Config] CONFIG_DEFAULT_MMAP_MIN_ADDR varies by arch
  * [Config] Sync LSM config options
  * [Config] CONFIG_KEYS_DEBUG_PROC_KEYS=n
  * [Config] CONFIG_COMPAT_BRK=n
  * [Config] Sync crypto config options
  * [Config] Sync IPsec config options

  [ Upstream Kernel Changes ]

  * kernel/sys.c: fix stack memory content leak via UNAME26
    - CVE-2012-0957
  * use clamp_t in UNAME26 fix
    - CVE-2012-0957
  * ptrace: introduce signal_wake_up_state() and ptrace_signal_wake_up()
    - CVE-2013-0871
  * ptrace: ensure arch_ptrace/ptrace_request can never race with SIGKILL
    - CVE-2013-0871
  * wake_up_process() should be never used to wakeup a TASK_STOPPED/TRACED
    task
    - CVE-2013-0871
  * net: fix incorrect credentials passing
    - CVE-2013-1979
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - CVE-2013-2094
  * iscsi-target: fix heap buffer overflow on error
    - CVE-2013-2850
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - CVE-2013-4254
  * ARM: 7810/1: perf: Fix array out of bounds access in
    armpmu_map_hw_event()
    - CVE-2013-4254
  * n_tty: Fix n_tty_write crash when echoing in raw mode
    - CVE-2014-0196
  * floppy: ignore kernel-only members in FDRAWCMD ioctl input
    - CVE-2014-1737
  * floppy: don't write kernel-only members to FDRAWCMD ioctl output
    - CVE-2014-1738
  * futex: Test for pi_mutex on fault in futex_wait_requeue_pi()
    - CVE-2014-3153
  * futex: Fix bug in WARN_ON for NULL q.pi_state
    - CVE-2014-3153
  * futex: Forbid uaddr == uaddr2 in futex_wait_requeue_pi()
    - CVE-2014-3153
  * futex: Handle futex_pi OWNER_DIED take over correctly
    - CVE-2014-3153
  * futex: avoid wake_futex() for a PI futex_q
    - CVE-2014-3153
  * futex: Revert "futex: Mark get_robust_list as deprecated"
    - CVE-2014-3153
  * futex: fix handling of read-only-mapped hugepages
    - CVE-2014-3153
  * futex: Add another early deadlock detection check
    - CVE-2014-3153
  * futex: Prevent attaching to kernel threads
    - CVE-2014-3153


## linux-goldfish 3.4.0-4.24~15.04.1

=== drivers/base/Makefile ===
# Makefile for the Linux device tree

obj-y			:= core.o bus.o dd.o syscore.o \
			   driver.o class.o platform.o \
			   cpu.o firmware.o init.o map.o devres.o \
			   attribute_container.o transport_class.o \
			   topology.o
obj-$(CONFIG_DEVTMPFS)	+= devtmpfs.o
obj-y			+= power/
obj-$(CONFIG_HAS_DMA)	+= dma-mapping.o
obj-$(CONFIG_HAVE_GENERIC_DMA_COHERENT) += dma-coherent.o
obj-$(CONFIG_DMA_SHARED_BUFFER) += dma-buf.o
obj-$(CONFIG_ISA)	+= isa.o
obj-$(CONFIG_FW_LOADER)	+= firmware_class.o
obj-$(CONFIG_NUMA)	+= node.o
obj-$(CONFIG_MEMORY_HOTPLUG_SPARSE) += memory.o
ifeq ($(CONFIG_SYSFS),y)
obj-$(CONFIG_MODULES)	+= module.o
endif
obj-$(CONFIG_SYS_HYPERVISOR) += hypervisor.o
obj-$(CONFIG_REGMAP)	+= regmap/
obj-$(CONFIG_SOC_BUS) += soc.o

obj-$(CONFIG_SYNC)	+= sync.o
obj-$(CONFIG_SW_SYNC)	+= sw_sync.o

ccflags-$(CONFIG_DEBUG_DRIVER) := -DDEBUG

=== drivers/i2c/muxes/Makefile ===
#
# Makefile for multiplexer I2C chip drivers.

obj-$(CONFIG_I2C_MUX_GPIO)	+= gpio-i2cmux.o
obj-$(CONFIG_I2C_MUX_PCA9541)	+= pca9541.o
obj-$(CONFIG_I2C_MUX_PCA954x)	+= pca954x.o

ccflags-$(CONFIG_I2C_DEBUG_BUS) := -DDEBUG

=== drivers/input/touchscreen/Makefile ===
#
# Makefile for the touchscreen drivers.
#

# Each configuration option enables a list of files.

wm97xx-ts-y := wm97xx-core.o

obj-$(CONFIG_TOUCHSCREEN_88PM860X)	+= 88pm860x-ts.o
obj-$(CONFIG_TOUCHSCREEN_AD7877)	+= ad7877.o
obj-$(CONFIG_TOUCHSCREEN_AD7879)	+= ad7879.o
obj-$(CONFIG_TOUCHSCREEN_AD7879_I2C)	+= ad7879-i2c.o
obj-$(CONFIG_TOUCHSCREEN_AD7879_SPI)	+= ad7879-spi.o
obj-$(CONFIG_TOUCHSCREEN_ADS7846)	+= ads7846.o
obj-$(CONFIG_TOUCHSCREEN_ATMEL_MXT)	+= atmel_mxt_ts.o
obj-$(CONFIG_TOUCHSCREEN_ATMEL_TSADCC)	+= atmel_tsadcc.o
obj-$(CONFIG_TOUCHSCREEN_AUO_PIXCIR)	+= auo-pixcir-ts.o
obj-$(CONFIG_TOUCHSCREEN_BITSY)		+= h3600_ts_input.o
obj-$(CONFIG_TOUCHSCREEN_BU21013)	+= bu21013_ts.o
obj-$(CONFIG_TOUCHSCREEN_CY8CTMG110)	+= cy8ctmg110_ts.o
obj-$(CONFIG_TOUCHSCREEN_CYTTSP_CORE)	+= cyttsp_core.o
obj-$(CONFIG_TOUCHSCREEN_CYTTSP_I2C)	+= cyttsp_i2c.o
obj-$(CONFIG_TOUCHSCREEN_CYTTSP_SPI)	+= cyttsp_spi.o
obj-$(CONFIG_TOUCHSCREEN_DA9034)	+= da9034-ts.o
obj-$(CONFIG_TOUCHSCREEN_DYNAPRO)	+= dynapro.o
obj-$(CONFIG_TOUCHSCREEN_HAMPSHIRE)	+= hampshire.o
obj-$(CONFIG_TOUCHSCREEN_GUNZE)		+= gunze.o
obj-$(CONFIG_TOUCHSCREEN_EETI)		+= eeti_ts.o
obj-$(CONFIG_TOUCHSCREEN_ELO)		+= elo.o
obj-$(CONFIG_TOUCHSCREEN_EGALAX)	+= egalax_ts.o
obj-$(CONFIG_TOUCHSCREEN_FUJITSU)	+= fujitsu_ts.o
obj-$(CONFIG_TOUCHSCREEN_ILI210X)	+= ili210x.o
obj-$(CONFIG_TOUCHSCREEN_INEXIO)	+= inexio.o
obj-$(CONFIG_TOUCHSCREEN_INTEL_MID)	+= intel-mid-touch.o
obj-$(CONFIG_TOUCHSCREEN_LPC32XX)	+= lpc32xx_ts.o
obj-$(CONFIG_TOUCHSCREEN_MAX11801)	+= max11801_ts.o
obj-$(CONFIG_TOUCHSCREEN_MC13783)	+= mc13783_ts.o
obj-$(CONFIG_TOUCHSCREEN_MCS5000)	+= mcs5000_ts.o
obj-$(CONFIG_TOUCHSCREEN_MIGOR)		+= migor_ts.o
obj-$(CONFIG_TOUCHSCREEN_MTOUCH)	+= mtouch.o
obj-$(CONFIG_TOUCHSCREEN_MK712)		+= mk712.o
obj-$(CONFIG_TOUCHSCREEN_HP600)		+= hp680_ts_input.o
obj-$(CONFIG_TOUCHSCREEN_HP7XX)		+= jornada720_ts.o
obj-$(CONFIG_TOUCHSCREEN_HTCPEN)	+= htcpen.o
obj-$(CONFIG_TOUCHSCREEN_USB_COMPOSITE)	+= usbtouchscreen.o
obj-$(CONFIG_TOUCHSCREEN_PCAP)		+= pcap_ts.o
obj-$(CONFIG_TOUCHSCREEN_PENMOUNT)	+= penmount.o
obj-$(CONFIG_TOUCHSCREEN_PIXCIR)	+= pixcir_i2c_ts.o
obj-$(CONFIG_TOUCHSCREEN_S3C2410)	+= s3c2410_ts.o
obj-$(CONFIG_TOUCHSCREEN_ST1232)	+= st1232.o
obj-$(CONFIG_TOUCHSCREEN_STMPE)		+= stmpe-ts.o
obj-$(CONFIG_TOUCHSCREEN_TI_TSCADC)	+= ti_tscadc.o
obj-$(CONFIG_TOUCHSCREEN_TNETV107X)	+= tnetv107x-ts.o
obj-$(CONFIG_TOUCHSCREEN_SYNAPTICS_I2C_RMI)	+= synaptics_i2c_rmi.o
obj-$(CONFIG_TOUCHSCREEN_TOUCHIT213)	+= touchit213.o
obj-$(CONFIG_TOUCHSCREEN_TOUCHRIGHT)	+= touchright.o
obj-$(CONFIG_TOUCHSCREEN_TOUCHWIN)	+= touchwin.o
obj-$(CONFIG_TOUCHSCREEN_TSC_SERIO)	+= tsc40.o
obj-$(CONFIG_TOUCHSCREEN_TSC2005)	+= tsc2005.o
obj-$(CONFIG_TOUCHSCREEN_TSC2007)	+= tsc2007.o
obj-$(CONFIG_TOUCHSCREEN_UCB1400)	+= ucb1400_ts.o
obj-$(CONFIG_TOUCHSCREEN_WACOM_W8001)	+= wacom_w8001.o
obj-$(CONFIG_TOUCHSCREEN_WM831X)	+= wm831x-ts.o
obj-$(CONFIG_TOUCHSCREEN_WM97XX)	+= wm97xx-ts.o
wm97xx-ts-$(CONFIG_TOUCHSCREEN_WM9705)	+= wm9705.o
wm97xx-ts-$(CONFIG_TOUCHSCREEN_WM9712)	+= wm9712.o
wm97xx-ts-$(CONFIG_TOUCHSCREEN_WM9713)	+= wm9713.o
obj-$(CONFIG_TOUCHSCREEN_WM97XX_ATMEL)	+= atmel-wm97xx.o
obj-$(CONFIG_TOUCHSCREEN_WM97XX_MAINSTONE)	+= mainstone-wm97xx.o
obj-$(CONFIG_TOUCHSCREEN_WM97XX_ZYLONITE)	+= zylonite-wm97xx.o
obj-$(CONFIG_TOUCHSCREEN_W90X900)	+= w90p910_ts.o
obj-$(CONFIG_TOUCHSCREEN_TPS6507X)	+= tps6507x-ts.o

=== drivers/mtd/devices/Makefile ===
#
# linux/drivers/mtd/devices/Makefile
#

obj-$(CONFIG_MTD_DOC2000)	+= doc2000.o
obj-$(CONFIG_MTD_DOC2001)	+= doc2001.o
obj-$(CONFIG_MTD_DOC2001PLUS)	+= doc2001plus.o
obj-$(CONFIG_MTD_DOCG3)		+= docg3.o
obj-$(CONFIG_MTD_DOCPROBE)	+= docprobe.o
obj-$(CONFIG_MTD_DOCECC)	+= docecc.o
obj-$(CONFIG_MTD_SLRAM)		+= slram.o
obj-$(CONFIG_MTD_PHRAM)		+= phram.o
obj-$(CONFIG_MTD_PMC551)	+= pmc551.o
obj-$(CONFIG_MTD_MS02NV)	+= ms02-nv.o
obj-$(CONFIG_MTD_MTDRAM)	+= mtdram.o
obj-$(CONFIG_MTD_LART)		+= lart.o
obj-$(CONFIG_MTD_BLOCK2MTD)	+= block2mtd.o
obj-$(CONFIG_MTD_DATAFLASH)	+= mtd_dataflash.o
obj-$(CONFIG_MTD_M25P80)	+= m25p80.o
obj-$(CONFIG_MTD_SPEAR_SMI)	+= spear_smi.o
obj-$(CONFIG_MTD_SST25L)	+= sst25l.o
obj-$(CONFIG_MTD_GOLDFISH_NAND)	+= goldfish_nand.o

CFLAGS_docg3.o			+= -I$(src)

=== drivers/staging/sbe-2t3e3/Makefile ===
obj-$(CONFIG_SBE_2T3E3) += sbe-2t3e3.o

sbe-2t3e3-y := module.o netdev.o maps.o	\
	main.o cpld.o intr.o ctrl.o io.o dc.o exar7250.o exar7300.o

=== drivers/staging/wlags49_h2/Makefile ===
#
# Makefile for wlags49_h2_cs.ko and wlags49_h25_cs.ko
#
# Default build for Hermes-II base cards (possibly identified with
# "manfid: 0x0156, 0x0003" in "pccardctl ident" output), comment
# -DHERMES25 below
#
# If you want to build for Hermes-II.5 base cards (possibly identified with
# "manfid: 0x0156, 0x0004" in "pccardctl ident" output), uncomment
# -DHERMES25 below
#
#  If you want to build AP support (untested), comment out -DSTA_ONLY

ccflags-y := -I$(KERNELDIR)/include
ccflags-y += -I$(src) \
		-DBUS_PCMCIA \
		-DUSE_WEXT \
		-DSTA_ONLY \
		-DWVLAN_49 \
#		-DHERMES25 \
#		-DDBG \
#		-DDBG_LVL=5 \
#		-DUSE_UIL \
#		-DUSE_PROFILE \

ifeq ($(findstring HERMES25,$(ccflags-y)),)
WLNAME := wlags49_h2_cs
$(WLNAME)-y := sta_h2.o
ifeq ($(findstring STA_ONLY,$(ccflags-y)),)
$(WLNAME)-y += ap_h2.o
endif
else
WLNAME=wlags49_h25_cs
$(WLNAME)-y := sta_h25.o
ifeq ($(findstring STA_ONLY,$(ccflags-y)),)
$(WLNAME)-y += ap_h25.o
endif
endif


obj-m		+= $(WLNAME).o

$(WLNAME)-y +=	wl_profile.o \
		wl_wext.o \
		wl_priv.o \
		wl_main.o \
		wl_enc.o \
		wl_util.o \
		wl_netdev.o \
		wl_cs.o \
		mmd.o \
		hcf.o \
		dhf.o

$(WLNAME)-$(CONFIG_SYSFS)	+= wl_sysfs.o

=== drivers/net/ethernet/qlogic/qlcnic/Makefile ===
#
# Makefile for Qlogic 1G/10G Ethernet Driver for CNA devices
#

obj-$(CONFIG_QLCNIC) := qlcnic.o

qlcnic-y := qlcnic_hw.o qlcnic_main.o qlcnic_init.o \
	qlcnic_ethtool.o qlcnic_ctx.o

=== debian/changelog ===
linux-goldfish (3.4.0-4.24~15.04.1) vivid; urgency=low

  [ Upstream Kernel Changes ]

  * audit: printk USER_AVC messages when audit isn't enabled
    - LP: #1473584

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 13 Jul 2015 14:57:44 -0700

=== debian/control ===
Source: linux-goldfish
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), libelf-dev, libiberty-dev, rsync, libdw-dev, libpci-dev, python-dev, gcc-4.7, flex, bison, xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-trusty.git goldfish

Package: linux-goldfish-headers-3.4.0-4
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
#Provides: linux-goldfish-headers, linux-goldfish-headers-2.6
Description: Header files related to Linux kernel version 3.4.0
 This package provides kernel header files for version 3.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-goldfish-headers-3.4.0-4/debian.README.gz for details

#Package: linux-goldfish-tools-common
#Architecture: armhf i386
#Section: kernel
#Priority: optional
#Depends: ${misc:Depends}
#Description: Linux kernel version specific tools for version 3.4.0
# This package provides the architecture independent parts for kernel
# version locked tools (such as perf) for version PGKVER.

Package: linux-goldfish-tools-3.4.0-4
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 3.4.0-4
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf) for version 3.4.0-4 on
 .
 You probabally want to install linux-tools-3.4.0-4-<flavour>.


Package: linux-image-3.4.0-4-goldfish
Architecture: armhf i386
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: 
Suggests: fdutils, linux-goldfish-doc-3.4.0 | linux-goldfish-source-3.4.0, linux-goldfish-tools
Description: Linux kernel image for version 3.4.0 on Android touch emulation
 This package contains the Linux kernel image for version 3.4.0 on
 Android touch emulation.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Android touch emulation processors.
 .
 Android touch emulation
 .
 You likely do not want to install this package directly. Instead, install
 the linux-goldfish meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.4.0-4-goldfish
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-goldfish-headers-3.4.0-4, ${shlibs:Depends}
Description: Linux kernel headers for version 3.4.0 on Android touch emulation
 This package provides kernel header files for version 3.4.0 on
 Android touch emulation.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-goldfish-headers-3.4.0-4/debian.README.gz for details.

Package: linux-image-3.4.0-4-goldfish-dbgsym
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.4.0 on Android touch emulation
 This package provides a kernel debug image for version 3.4.0 on
 Android touch emulation.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-3.4.0-4-goldfish
Architecture: armhf i386
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-goldfish-tools-3.4.0-4
Description: Linux kernel version specific tools for version 3.4.0-4
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.4.0-4 on
 .

## linux-goldfish 3.4.0-4.24

=== debian/changelog ===
linux-goldfish (3.4.0-4.24) wily; urgency=low

  [ Upstream Kernel Changes ]

  * audit: printk USER_AVC messages when audit isn't enabled
    - LP: #1473584

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 13 Jul 2015 14:57:44 -0700
